跳转到主要内容

Global_Styles Revisions

Schema

The schema defines all the fields that exist within a global_styles revision record. Any response from these endpoints can be expected to contain the fields below unless the `_filter` query parameter is used or the schema field only appears in a specific context.

author

The ID for the author of the revision.

JSON data type: integer

Context: view, edit, embed

date

The date the revision was published, in the site's timezone.

JSON data type: string, Format: datetime (details)

Context: view, edit, embed

date_gmt

The date the revision was published, as GMT.

JSON data type: string, Format: datetime (details)

Context: view, edit

id

Unique identifier for the revision.

JSON data type: integer

Context: view, edit, embed

modified

The date the revision was last modified, in the site's timezone.

JSON data type: string, Format: datetime (details)

Context: view, edit

modified_gmt

The date the revision was last modified, as GMT.

JSON data type: string, Format: datetime (details)

Context: view, edit

parent

The ID for the parent of the revision.

JSON data type: integer

Context: view, edit, embed

styles

Global styles.

JSON data type: object

Context: view, edit

settings

Global settings.

JSON data type: object

Context: view, edit

</div>

List Global_Styles Revisions

Query this endpoint to retrieve a collection of global_styles revisions. The response you receive can be controlled and filtered using the URL query parameters below.

	<h3>Definition</h3>

	<code>GET /wp/v2/global-styles/&lt;parent&gt;/revisions</code>

	<h3>Example Request</h3>

	<code>$ curl https://example.com/wp-json/wp/v2/global-styles/&lt;parent&gt;/revisions</code>
</div>
<div class="secondary">
		<h3>Arguments</h3>
<table class="arguments">
				<tr>
			<td>
										<code>parent</code><br />
								</td>
			<td>
										<p>The ID for the parent of the revision.</p>
																							</td>
		</tr>
				<tr>
			<td>
										<code>context</code><br />
								</td>
			<td>
										<p>Scope under which the request is made; determines fields present in response.</p>
																				<p class="default">
						Default: <code>view</code>
					</p>
															<p>One of: <code>view</code>, <code>embed</code>, <code>edit</code></p>
								</td>
		</tr>
				<tr>
			<td>
										<code>page</code><br />
								</td>
			<td>
										<p>Current page of the collection.</p>
																				<p class="default">
						Default: <code>1</code>
					</p>
													</td>
		</tr>
				<tr>
			<td>
										<code>per_page</code><br />
								</td>
			<td>
										<p>Maximum number of items to be returned in result set.</p>
																							</td>
		</tr>
				<tr>
			<td>
										<code>offset</code><br />
								</td>
			<td>
										<p>Offset the result set by a specific number of items.</p>
																							</td>
		</tr>
		</table>

</div>